apiVersion: releases.vmsp.vmware.com/v1alpha1
kind: Schema
metadata:
  labels:
    packages.vcf.vmware.com/packaging: bundle
  name: configuration-salt-9.1.0.0.25289927
  namespace: salt
spec:
  context:
    name: salt
    type: configuration
    version: 9.1.0.0.25289927
  schema:
    openAPIV3Schema:
      description: Configuration schema for the salt-9.1.0.0.25289927 package
      properties:
        values:
          properties:
            highAvailability:
              properties:
                enabled:
                  description: Enable HA mode for Salt Master
                  type: boolean
              type: object
            size:
              description: Deployment size profile for salt minion (small, medium,
                large)
              enum:
              - small
              - medium
              - large
              type: string
            storage:
              properties:
                volumeGroups:
                  properties:
                    saltMaster:
                      properties:
                        capacity:
                          description: Salt Master Volume Size
                          type: string
                      type: object
                  type: object
              type: object
          type: object
      type: object
